/* restyled from floating-vue */
.v-popper--theme-vertical-menu.v-popper__popper {
    /* prevent z-fighting with modals */
    z-index: var(--menu-z) !important;
}
.v-popper--theme-vertical-menu .v-popper__inner {
    /* have to use !important here because sometimes floating-vue's v-popper--theme-dropdown's CSS,
    which is automatically applied, is loaded after this sequentially */
    background: var(--background1) !important;
    box-shadow: 0px -1px 2px rgba(0, 0, 0, 0.15), 0px 4px 4px rgba(0, 0, 0, 0.25) !important;
    border-radius: 15px !important;
    padding: 16px 0;
    border: none !important;
}
.v-popper--theme-vertical-menu .v-popper__arrow-inner {
    display: none;
}
.v-popper--theme-vertical-menu .v-popper__arrow-outer {
    display: none;
}
/* menu items list */
.escr-vertical-menu {
    display: flex;
    flex-flow: column;
    list-style: none;
    margin: 0;
    padding: 0;
    min-width: 220px;
}
.escr-vertical-menu .escr-menuitem-icon {
    width: 16px;
    height: 16px;
    margin-right: 1rem;
}
.escr-vertical-menu button,
.escr-vertical-menu a {
    display: flex;
    box-sizing: border-box;
    flex-flow: row nowrap;
    align-items: center;
    background: transparent;
    border: none;
    width: 100%;
    height: 36px;
    font-family: inherit;
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    text-decoration: none;
    padding: 8px 32px;
    cursor: pointer;
    transition: background-color 0.15s ease-in-out;
    color: var(--text1);
    fill: var(--text1);
}
.escr-vertical-menu svg {
    width: 20px;
    max-height: 20px;
    text-align: center;
    margin-right: 1rem;
}
.escr-vertical-menu button:hover,
.escr-vertical-menu a:hover {
    background-color: var(--background2);
}
.escr-vertical-menu button.preselected,
.escr-vertical-menu a.preselected {
    background-color: var(--background3);
}
.escr-vertical-menu button:active,
.escr-vertical-menu button:focus,
.escr-vertical-menu a:active,
.escr-vertical-menu a:focus {
    background-color: var(--secondary-hover);
}
.escr-vertical-menu button:disabled {
    background-color: var(--background1);
    color: var(--text3);
    pointer-events: none;
    cursor: default;
}
.escr-vertical-menu .new-section,
.escr-vertical-menu + .escr-help-text {
    margin-top: 8px;
    padding-top: 8px;
    border-top: 1px solid var(--background2);
}

/* help text */
.escr-vertical-menu + .escr-help-text {
    color: var(--text1);
    padding: 8px 32px 0;
}
